package projectzombie.model;

import gl_engine.texture.TextureRef3D;

public class ModelChunk extends Model
{
	private int size;
	private int[] indicies;
	private float[] verticies;
	private TextureRef3D[] textures;
	
	public ModelChunk(float[] verticies, int[] indicies, TextureRef3D[] textures, int size) {
		this.verticies = verticies;
		this.indicies = indicies;
		this.textures = textures;
		this.size = size;
	}
	
	@Override
	public float[] getVerticies() {
		return verticies;
	}
	
	@Override
	public TextureRef3D[] getTextures() {
		return textures;
	}
	
	@Override
	public double getHeight() {
		return 1;
	}
	
	@Override
	public int getIndexSize() {
		return indicies.length;
	}
	
	@Override
	public int[] getIndicies() {
		return indicies;
	}

	@Override
	public int getSize() {
		return size;
	}

	@Override
	public double getWidth() {
		return 1;
	}
}
